create_plane#

Modeler3D.create_plane(name=None, plane_base_x='0mm', plane_base_y='0mm', plane_base_z='0mm', plane_normal_x='0mm', plane_normal_y='0mm', plane_normal_z='0mm', color='(143 175 143)')[source]#

Create a plane.

Parameters:
namestr, optional

Name of the plane. The default is None, in which case the default name is assigned.

plane_base_xstr

X coordinate of the plane base. The default value is "0mm".

plane_base_ystr

Y coordinate of the plane base. The default value is "0mm".

plane_base_zstr

Z coordinate of the plane base. The default value is "0mm".

plane_normal_xstr

X coordinate of the normal plane. The default value is "0mm".

plane_normal_ystr

Y coordinate of the normal plane. The default value is "0mm".

plane_normal_zstr

Z coordinate of the normal plane. The default value is "0mm".

colorstr, optional

String exposing the three integer values for the color of the plane. The default value is "(143 175 143)".

Returns:
pyaedt.modeler.Primitives.Plane

Planes object.

References

>>> oEditor.CreateBox

Examples

Create a new plane. >>> from pyaedt import hfss >>> hfss = Hfss() >>> plane_object = hfss.modeler.primivites.create_plane(plane_base_y=”-0.8mm”, plane_normal_x=”-0.7mm”, … name=”myplane”)